<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.activity.mapper.BusinessTypeMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.activity.model.BusinessType" >
    <id column="BUSINESS_TYPE_ID" property="businessTypeId" jdbcType="BIGINT" />
    <result column="BUSINESS_TYPE_CODE" property="businessTypeCode" jdbcType="VARCHAR" />
    <result column="BUSINESS_TYPE_NAME" property="businessTypeName" jdbcType="VARCHAR" />
  </resultMap>
  <sql id="Base_Column_List" >
    BUSINESS_TYPE_ID, BUSINESS_TYPE_CODE, BUSINESS_TYPE_NAME
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from business_type
    where BUSINESS_TYPE_ID = #{businessTypeId,jdbcType=BIGINT}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from business_type
    where BUSINESS_TYPE_ID = #{businessTypeId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.activity.model.BusinessType" >
    insert into business_type (BUSINESS_TYPE_ID, BUSINESS_TYPE_CODE, 
      BUSINESS_TYPE_NAME)
    values (#{businessTypeId,jdbcType=BIGINT}, #{businessTypeCode,jdbcType=VARCHAR}, 
      #{businessTypeName,jdbcType=VARCHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.activity.model.BusinessType" >
    insert into business_type
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="businessTypeId != null" >
        BUSINESS_TYPE_ID,
      </if>
      <if test="businessTypeCode != null" >
        BUSINESS_TYPE_CODE,
      </if>
      <if test="businessTypeName != null" >
        BUSINESS_TYPE_NAME,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="businessTypeId != null" >
        #{businessTypeId,jdbcType=BIGINT},
      </if>
      <if test="businessTypeCode != null" >
        #{businessTypeCode,jdbcType=VARCHAR},
      </if>
      <if test="businessTypeName != null" >
        #{businessTypeName,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.activity.model.BusinessType" >
    update business_type
    <set >
      <if test="businessTypeCode != null" >
        BUSINESS_TYPE_CODE = #{businessTypeCode,jdbcType=VARCHAR},
      </if>
      <if test="businessTypeName != null" >
        BUSINESS_TYPE_NAME = #{businessTypeName,jdbcType=VARCHAR},
      </if>
    </set>
    where BUSINESS_TYPE_ID = #{businessTypeId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.activity.model.BusinessType" >
    update business_type
    set BUSINESS_TYPE_CODE = #{businessTypeCode,jdbcType=VARCHAR},
      BUSINESS_TYPE_NAME = #{businessTypeName,jdbcType=VARCHAR}
    where BUSINESS_TYPE_ID = #{businessTypeId,jdbcType=BIGINT}
  </update>
</mapper>